#1916 closed defect (fixed)

EDF and CBS improve coverage

Reported by: Petr Benes Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: gedare@… Blocked By:
Blocking:

Description

This patch should improve the coverage gaps caused by EDF and CBS schedulers. However, there still may be one case missing.

2011-09-20 Petr Benes <benesp16@…>

  • rtems/src/ratemondelete.c, score/src/schedulercbsreleasejob.c,

score/src/scheduleredfupdate.c, score/src/scheduleredfyield.c: Coverage improved

2011-09-20 Petr Benes <benesp16@…>

  • spcbssched02/init.c, spcbssched02/spcbssched02.scn, spcbssched02/system.h,

spcbssched02/task_periodic.c, spedfsched03/init.c, spedfsched03/system.h,
spedfsched03/tasks_aperiodic.c: Coverage improved

Attachments (1)

cbs_coverage.diff (15.7 KB) - added by Petr Benes on Sep 20, 2011 at 9:01:13 AM.
EDF and CBS improve coverage

Download all attachments as: .zip

Change History (6)

Changed on Sep 20, 2011 at 9:01:13 AM by Petr Benes

Attachment: cbs_coverage.diff added

EDF and CBS improve coverage

comment:1 Changed on Sep 24, 2011 at 4:35:06 PM by Petr Benes

blocked: 1923

comment:2 Changed on Apr 16, 2012 at 2:02:26 AM by Gedare Bloom

Resolution: fixed
Status: newclosed

comment:3 Changed on Apr 16, 2012 at 2:02:47 AM by Gedare Bloom

Closed.

comment:4 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:5 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.